public class truck extends vehicle
{
public truck(String i_marka,double i_motor,String i_renk,double i_agirlik)
{super("truck",i_marka,i_motor,i_renk,i_agirlik);}
public truck()
{ super();
  vehicletype="truck";
}
public truck(truck A)
{super(A);
 vehicletype="truck"; 
}

}